import type { AbstractType, ExistingProvider, FactoryProvider, Type } from '@angular/core';
import type { CuiPoint } from '../types';
export declare abstract class CuiAccessor {
    abstract readonly type: string;
}
export declare abstract class CuiPositionAccessor extends CuiAccessor {
    abstract getPosition(rect: DOMRect, element?: HTMLElement): CuiPoint;
}
export declare abstract class CuiRectAccessor extends CuiAccessor {
    abstract getClientRect(): DOMRect;
}
export declare function cuiProvideAccessor<T extends CuiAccessor>(provide: AbstractType<T>, type: string, fallback: Type<T>): FactoryProvider;
export declare function cuiFallbackAccessor<T extends CuiAccessor>(type: string): (accessors: readonly T[] | null, fallback: T) => T;
export declare function cuiPositionAccessorFor(type: string, fallback: Type<CuiPositionAccessor>): FactoryProvider;
export declare function cuiRectAccessorFor(type: string, fallback: Type<CuiRectAccessor>): FactoryProvider;
export declare function cuiAsPositionAccessor(accessor: Type<CuiPositionAccessor>): ExistingProvider;
export declare function cuiAsRectAccessor(accessor: Type<CuiRectAccessor>): ExistingProvider;
