import { ElementRef, OnInit } from '@angular/core';
import type { CuiIcon } from '@cuby-ui/icons';
import { CuiButtonOptions } from './button.options';
import * as i0 from "@angular/core";
export declare class CuiButtonComponent implements CuiButtonOptions, OnInit {
    private readonly changeDetectorRef;
    private readonly element;
    private readonly window;
    private readonly cuiButtonOptions;
    private readonly ICON_XS_SIZES;
    protected readonly AppearanceIconColors: Record<CuiButtonOptions['appearance'], string>;
    protected readonly COLOR_BASE_500 = "var(--cui-base-500)";
    protected readonly BUTTON_ICONS_COLOR_BASE_500: CuiButtonOptions['appearance'][];
    protected _appearance: "flat" | "action" | "link" | "secondary" | "outlined" | "outlined-gray" | "ghost" | "vivid-success" | "destructive" | "action-violet" | "action-cyan";
    protected iconColor: string;
    protected _size: "xxxs" | "xxs" | "xs" | "sm" | "md";
    protected iconDimensions: {
        width: number;
        height: number;
    };
    shape: "rounded" | null;
    disabled: boolean;
    isLoaderShown: boolean;
    icon?: CuiIcon | string;
    iconRight?: CuiIcon | string;
    get appearance(): CuiButtonOptions['appearance'];
    set appearance(appearance: CuiButtonOptions['appearance']);
    get size(): CuiButtonOptions['size'];
    set size(size: CuiButtonOptions['size']);
    protected containsOnlyIcon: boolean;
    protected get isDisabled(): boolean;
    protected content: ElementRef<HTMLSpanElement>;
    ngOnInit(): void;
    private initIconColor;
    private changeIconColor;
    private getIconColor;
    static ɵfac: i0.ɵɵFactoryDeclaration<CuiButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CuiButtonComponent, "button[cuiButton], a[cuiButton]", never, { "shape": { "alias": "shape"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "isLoaderShown": { "alias": "isLoaderShown"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "iconRight": { "alias": "iconRight"; "required": false; }; "appearance": { "alias": "appearance"; "required": false; }; "size": { "alias": "size"; "required": false; }; }, {}, never, ["*"], false, never>;
}
