import type { OnInit, AfterViewInit, TemplateRef, OnDestroy } from '@angular/core';
import type { CuiContextMenuItem } from '../../interfaces';
import * as i0 from "@angular/core";
import * as i1 from "@cuby-ui/cdk";
export declare class CuiContextMenuComponent implements OnInit, AfterViewInit, OnDestroy {
    private readonly viewContainerRef;
    private readonly document;
    private readonly documentElement;
    private readonly window;
    private readonly destroy$;
    private readonly cuiClickOutsideDirective;
    private readonly cuiTargetDirective;
    protected readonly EXTRA_OFFSET_LEFT = 0;
    protected readonly EXTRA_OFFSET_TOP = 0;
    protected isVisible: boolean;
    protected node?: HTMLDivElement;
    items: CuiContextMenuItem[];
    target: HTMLElement;
    width: string;
    withPaddings: boolean;
    protected readonly list: TemplateRef<any>;
    protected readonly backdrop: TemplateRef<any>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    protected onSelect(item: CuiContextMenuItem): void;
    protected onClose(): void;
    protected onStopClickPropagation(event: MouseEvent): void;
    protected trackByFn(_: number, item: CuiContextMenuItem): string;
    private initClickOutsideSubscription;
    private initTargetElementListener;
    private initHidingSubscription;
    private initHidingFromWindowEvent;
    private targetEventListener;
    private close;
    private renderList;
    private changePosition;
    private clearViewContainerRef;
    static ɵfac: i0.ɵɵFactoryDeclaration<CuiContextMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CuiContextMenuComponent, "cui-context-menu[items][target]", never, { "items": { "alias": "items"; "required": false; }; "target": { "alias": "target"; "required": false; }; "width": { "alias": "width"; "required": false; }; "withPaddings": { "alias": "withPaddings"; "required": false; }; }, {}, never, never, false, [{ directive: typeof i1.CuiClickOutsideDirective; inputs: {}; outputs: {}; }, { directive: typeof i1.CuiTargetDirective; inputs: { "ccTarget": "target"; }; outputs: {}; }]>;
}
