import type { FactoryProvider, OnChanges } from '@angular/core';
import type { PolymorpheusContent } from '@taiga-ui/polymorpheus';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export type CuiTooltipDirection = 'bottom-left' | 'bottom-right' | 'bottom' | 'left-bottom' | 'left-top' | 'left' | 'right-bottom' | 'right-top' | 'right' | 'top-left' | 'top-right' | 'top';
export declare const CUI_TOOLTIP_DIRECTIONS: readonly CuiTooltipDirection[];
export interface CuiTooltipOptions {
    readonly appearance: string;
    readonly direction: CuiTooltipDirection | CuiTooltipDirection[];
    readonly hideDelay: number;
    readonly icon: string;
    readonly showDelay: number;
}
/** Default values for tooltip options */
export declare const CUI_TOOLTIP_DEFAULT_OPTIONS: CuiTooltipOptions;
/**
 * Default parameters for tooltip directive
 */
export declare const CUI_TOOLTIP_OPTIONS: import("@angular/core").InjectionToken<CuiTooltipOptions>;
export declare const cuiTooltipOptionsProvider: (options: Partial<CuiTooltipOptions>) => FactoryProvider;
/**
 * @deprecated: drop in 5.0
 */
export declare class CuiTooltipOptionsDirective implements CuiTooltipOptions, OnChanges {
    private readonly options;
    content: PolymorpheusContent;
    direction: CuiTooltipDirection | CuiTooltipDirection[];
    appearance: string;
    showDelay: number;
    hideDelay: number;
    icon: string;
    readonly change$: Subject<void>;
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CuiTooltipOptionsDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CuiTooltipOptionsDirective, "[cuiTooltipContent]", never, { "content": { "alias": "cuiTooltipContent"; "required": false; }; "direction": { "alias": "cuiTooltipDirection"; "required": false; }; "appearance": { "alias": "cuiTooltipAppearance"; "required": false; }; "showDelay": { "alias": "cuiTooltipShowDelay"; "required": false; }; "hideDelay": { "alias": "cuiTooltipHideDelay"; "required": false; }; }, {}, never, never, true, never>;
}
