import type { API } from '@editorjs/editorjs';
import type { CuiFileData } from '../../interfaces/file-response-data';
import { CuiFileUploaderConfig } from '../../utils/file-uploader';
export declare const EDITOR_VIDEO_TOOL_SELECTOR = "cc-editor-video-tool";
export type VideoKeysObject<V = string> = {
    [key: string]: V;
};
export interface CuiVideoToolConfig extends CuiFileUploaderConfig {
    readonly buttonContent: string;
}
export interface CuiVideoToolPlayer {
    readonly pip: boolean;
    readonly controls: boolean;
    readonly light: boolean;
    readonly playing: boolean;
}
export interface CuiVideoToolOptions {
    readonly api: API;
    readonly config: CuiVideoToolConfig;
    readonly onSelectFile: () => void;
    readonly readOnly: boolean;
}
export interface CuiVideoToolData {
    caption: string;
    file: CuiFileData;
}
