import type { OnDestroy, OnInit } from '@angular/core';
import { EventEmitter } from '@angular/core';
import type { Tool } from '../editor-tool-modal';
import type { MarkerData, MarkerDataControl } from './marker-modal.interfaces';
import * as i0 from "@angular/core";
import * as i1 from "@cuby-ui/cdk";
export declare class MarkerModalComponent implements OnInit, OnDestroy {
    private readonly element;
    private readonly document;
    private readonly destroyRef;
    private readonly cuiClickOutsideDirective;
    private readonly cuiIdService;
    private readonly markersService;
    protected readonly TITLE_MAX_LENGTH = 100;
    protected readonly formTitle: import("@angular/core").WritableSignal<string>;
    protected readonly isTitleEmpty: import("@angular/core").Signal<boolean>;
    protected readonly isTitleMoreThanMaxLength: import("@angular/core").Signal<boolean>;
    protected readonly isTitleInvalid: import("@angular/core").Signal<boolean>;
    protected readonly titleId: string;
    protected readonly dataId: string;
    protected dynamicDataControl: MarkerDataControl;
    protected spaceBetweenTargetAndList: number;
    protected startTitle: string;
    set title(value: string);
    set url(value: string);
    set tool(value: Tool);
    isGlobal: boolean;
    isTool: boolean;
    target: HTMLButtonElement;
    set space(value: number);
    saveClicked: EventEmitter<MarkerData>;
    cancelClicked: EventEmitter<any>;
    protected isVisible: import("@angular/core").WritableSignal<boolean>;
    protected isHidden: import("@angular/core").WritableSignal<boolean>;
    protected editor: HTMLElement;
    protected currentTool?: Tool;
    protected readonly targetToggleEventListener: () => void;
    protected get isFormInvalid(): boolean;
    protected get isDynamicDataErrorShown(): boolean;
    protected get hide(): boolean;
    protected get fixed(): boolean;
    ngOnInit(): void;
    ngOnDestroy(): void;
    protected onTitleLabelClick(element: HTMLDivElement): void;
    protected onSave(): void;
    protected onScroll(): void;
    protected onCancel(): void;
    protected onClearTitle(titleElement: HTMLElement): void;
    protected onTitleChange(event: KeyboardEvent): void;
    protected onTitlePaste(event: ClipboardEvent): void;
    private initTargetElementListener;
    private initClickOutsideSubscription;
    private initOnCloseWhenEditorScroll;
    private destroyEventListeners;
    private calculateDropdownPosition;
    private changePositionX;
    private changePositionY;
    private changeGlobalPositionX;
    private changeGlobalPositionY;
    static ɵfac: i0.ɵɵFactoryDeclaration<MarkerModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MarkerModalComponent, "ng-component", never, { "title": { "alias": "title"; "required": false; }; "url": { "alias": "url"; "required": false; }; "tool": { "alias": "tool"; "required": false; }; "isGlobal": { "alias": "isGlobal"; "required": false; }; "isTool": { "alias": "isTool"; "required": false; }; "target": { "alias": "target"; "required": false; }; "space": { "alias": "space"; "required": false; }; }, { "saveClicked": "saveClicked"; "cancelClicked": "cancelClicked"; }, never, never, true, [{ directive: typeof i1.CuiClickOutsideDirective; inputs: {}; outputs: {}; }]>;
}
