import type EditorJS from '@editorjs/editorjs';
import type { BlockMutationEvent, OutputData } from '@editorjs/editorjs';
import type { Observable } from 'rxjs';
import type { CuiCombinedBlockAddingEvent, CuiCombinedBlockToolData, CuiEventActionData, CuiFullBlockData } from '../interfaces';
import type { Block } from './jtext-api.options';
import * as i0 from "@angular/core";
export declare class CuiEditorService {
    private readonly destroyRef;
    private readonly jtextService;
    sortEventsByTypes(events: BlockMutationEvent[]): CuiEventActionData;
    collectAddedBlocksRequest(editorId: string, addedBlocks: CuiFullBlockData[]): Observable<string[]>;
    collectUpdatedBlocksRequest(updatedBlocks: Block[], blockIdsMap: Map<string, string>): Observable<Block[]>;
    collectRemovedBlocksRequest(editorId: string, removedBlocksIds: string[], blockIdsMap: Map<string, string>): Observable<void>;
    getFullBlockData(event: BlockMutationEvent, editorData: OutputData): CuiFullBlockData;
    setListenersOnCustomBlockChanges(editor: EditorJS, data: {
        removedCallback: (blockIds: string[]) => void;
        updatedCallback: (updatedBlocks: Block[]) => void;
        addedCallback: (data: CuiCombinedBlockAddingEvent) => void;
    }): void;
    setStartBlock(editorId: string, callback: (block: Block<CuiCombinedBlockToolData>, id: string) => void): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CuiEditorService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CuiEditorService>;
}
