import type { Observable } from 'rxjs';
import type { Block, JTextCreateBlockRequestBody, JTextCreateBlocksRequestBody } from './jtext-api.options';
import { CuiRequestOptions } from '../interfaces';
import * as i0 from "@angular/core";
export declare class CuiJTextApiService {
    private readonly httpClient;
    private readonly GET_BLOCK_DEFAULT_SIZE;
    private readonly JTEXT_URL;
    private readonly BLOCK_URL;
    private readonly BLOCKS_URL;
    private readonly JTEXT_BLOCK_URL;
    private readonly JTEXT_BLOCKS_URL;
    private options;
    addOptions(options?: CuiRequestOptions): void;
    createBlock(body: JTextCreateBlockRequestBody): Observable<string>;
    updateBlock(body: Block): Observable<Block>;
    getBlocks(fragmentId: string, page?: number, sizeBlock?: number): Observable<Block>;
    createBlocks(body: JTextCreateBlocksRequestBody): Observable<string[]>;
    deleteBlock(containerId: string, blockId: string): Observable<void>;
    deleteBlocks(containerId: string, blocksIds: string[]): Observable<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CuiJTextApiService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CuiJTextApiService>;
}
