import type { API, BlockAPI, PasteConfig, ToolboxConfig } from '@editorjs/editorjs';
import type { TunesMenuConfig } from '@editorjs/editorjs/types/tools';
import { CuiFileUploader } from '../utils';
import { EditorImageToolComponent } from '../components/editor-image-tool';
import type { CuiImageToolConfig, CuiImageToolData } from '../components/editor-image-tool';
import type { CuiFileData, CuiAngularElement } from '../interfaces';
export declare class CuiImageTool {
    private selectedFile;
    private get Tunes();
    api: API;
    data: CuiImageToolData;
    config: CuiImageToolConfig;
    blockApi?: BlockAPI;
    readOnly: boolean;
    uploader: CuiFileUploader;
    imageTool: CuiAngularElement<EditorImageToolComponent>;
    static get isReadOnlySupported(): boolean;
    static get toolbox(): ToolboxConfig;
    static get pasteConfig(): PasteConfig;
    constructor(options: {
        api: API;
    });
    onSelectFile: () => void;
    onPaste(event: CustomEvent): Promise<void>;
    private pasteByFile;
    private pasteByTag;
    appendCallback(): void;
    render(): HTMLElement;
    renderSettings(): TunesMenuConfig;
    save(): CuiImageToolData;
    removed(): void;
    changeCaption(event: Event): void;
    set image(file: CuiFileData);
    private onUpload;
    private uploadingFailed;
    private tuneToggled;
}
