import type { API, BlockAPI, PasteConfig, ToolboxConfig } from '@editorjs/editorjs';
import type { CuiAngularElement } from '../interfaces';
import type { CuiVideoToolConfig, EditorVideoToolComponent, CuiVideoToolData } from '../components/editor-video-tool';
import type { CuiFileData } from '../interfaces/file-response-data';
import { CuiFileUploader } from '../utils/file-uploader';
export declare class CuiVideoTool {
    private selectedFile;
    static get isReadOnlySupported(): boolean;
    static get toolbox(): ToolboxConfig;
    static get pasteConfig(): PasteConfig;
    api: API;
    config: CuiVideoToolConfig;
    blockApi?: BlockAPI;
    readOnly: boolean;
    data: CuiVideoToolData;
    videoTool: CuiAngularElement<EditorVideoToolComponent>;
    uploader: CuiFileUploader;
    constructor(options: {
        api: API;
    });
    onSelectFile: () => void;
    onPaste(event: CustomEvent): Promise<void>;
    appendCallback(): void;
    render(): HTMLElement;
    save(): CuiVideoToolData;
    removed(): void;
    changeCaption(event: Event): void;
    set video(file: CuiFileData);
    private onUpload;
    private uploadingFailed;
    private getCaptureFromVideo;
}
