import { InjectionToken } from '@angular/core';
import type { AuthConfig, OAuthModuleConfig } from 'angular-oauth2-oidc';
import type { CuiBrowserAuthService } from '../services/browser-auth.service';
import type { CuiMobileAuthService } from '../services/mobile-auth.service';
import { CuiAuthBase } from '../services/auth.service';
export type CuiAuthPlatform = 'mobile' | 'browser';
export interface CuiAuthConfig extends AuthConfig {
    readonly tokenExpiredCallback?: (this: CuiAuthBase) => void;
}
export interface CuiAuthProviderConfig {
    readonly authConfig: CuiAuthConfig;
    readonly moduleConfig?: OAuthModuleConfig;
    readonly platform?: CuiAuthPlatform;
}
export declare const CuiAuthService: InjectionToken<CuiBrowserAuthService | CuiMobileAuthService>;
