import { ResourceFragment } from '@cuby-ui/api';
import { type CuiNullable } from '@cuby-ui/cdk';
import { CuiEditorConfig } from '../../editor';
import { CuiUtilityFormGroup, CuiUtilityFormValues } from './utility-info.options';
import * as i0 from "@angular/core";
export declare class CuiUtilityInfoComponent {
    private readonly destroy;
    private readonly formBuilder;
    private readonly translocoService;
    private readonly frameApiService;
    private readonly cuiAlertService;
    private readonly cuiIdService;
    protected readonly CONTROL_DELAY = 500;
    protected readonly MAX_FILE_SIZE = 20971520;
    protected readonly titleId: string;
    protected readonly descriptionId: string;
    protected readonly form: import("@angular/forms").FormGroup<{
        readonly title: import("@angular/forms").FormControl<string>;
        readonly description: import("@angular/forms").FormControl<string>;
    }>;
    protected readonly isDescriptionModalOpen: import("@angular/core").WritableSignal<boolean>;
    protected readonly isDescriptionEmpty: import("@angular/core").WritableSignal<boolean>;
    protected readonly editorId: import("@angular/core").WritableSignal<CuiNullable<string>>;
    protected readonly thumbnail: import("@angular/core").WritableSignal<CuiNullable<ResourceFragment>>;
    protected readonly thumbnailUrl: import("@angular/core").Signal<string>;
    protected readonly uploadButtonName: import("@angular/core").Signal<string>;
    protected heading: CuiNullable<string>;
    protected get controls(): CuiUtilityFormGroup;
    protected get isTitleError(): boolean;
    protected get isDescriptionError(): boolean;
    readonly title: import("@angular/core").InputSignal<string>;
    readonly description: import("@angular/core").InputSignal<string>;
    readonly framerId: import("@angular/core").InputSignal<string>;
    readonly baseResourceUrl: import("@angular/core").InputSignal<string>;
    readonly config: import("@angular/core").InputSignal<CuiEditorConfig>;
    readonly formChanged: import("@angular/core").OutputEmitterRef<Partial<CuiUtilityFormValues>>;
    readonly isFormValidChanged: import("@angular/core").OutputEmitterRef<boolean>;
    constructor();
    protected onSelectFile(): void;
    protected onEditorEmpty(isEmpty: boolean): void;
    protected onRemoveThumbnail(): void;
    protected onToggleDescriptionModal(): void;
    private initUtilityEffect;
    private initFormSubscriptions;
    private initFrameFragments;
    private compareFormValues;
    private setResourceFile;
    private getFile;
    private uploadFile;
    private getCaptureFromVideo;
    private checkFormValidation;
    static ɵfac: i0.ɵɵFactoryDeclaration<CuiUtilityInfoComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CuiUtilityInfoComponent, "cui-utility-info", never, { "title": { "alias": "title"; "required": true; "isSignal": true; }; "description": { "alias": "description"; "required": true; "isSignal": true; }; "framerId": { "alias": "framerId"; "required": true; "isSignal": true; }; "baseResourceUrl": { "alias": "baseResourceUrl"; "required": true; "isSignal": true; }; "config": { "alias": "config"; "required": true; "isSignal": true; }; }, { "formChanged": "formChanged"; "isFormValidChanged": "isFormValidChanged"; }, never, never, true, never>;
}
